edu.isi.pegasus.planner.dax

## Class DAX

- java.lang.Object
- - edu.isi.pegasus.planner.dax.AbstractJob
  - - edu.isi.pegasus.planner.dax.DAX

    public class DAX
    extends AbstractJob

Creates a DAX job object

Version:
  $Revision$
Author:
  GAURANG MEHTA gmehta at isi dot edu
See Also:
  `AbstractJob`

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.dax.AbstractJob

`mArguments, mId, mInvokes, mLogger, mName, mNamespace, mNodeLabel, mProfiles, mStderr, mStdin, mStdout, mUses, mVersion`

### Constructor Summary

Constructors
Constructor and Description
`DAX(DAX dax)` Copy Constructor
`DAX(java.lang.String id, java.lang.String daxname)` Create a DAX job object
`DAX(java.lang.String id, java.lang.String daxname, java.lang.String label)` Create a DAX job object

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDAX()` Is this Object a DAX
`void` `toXML(XMLWriter writer, int indent)`

### Methods inherited from class edu.isi.pegasus.planner.dax.AbstractJob

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addInvoke, addInvoke, addInvokes, addNotification, addNotification, addNotifications, addProfile, addProfile, addProfile, addProfiles, checkID, equals, getArguments, getId, getInvoke, getName, getNodeLabel, getNotification, getProfiles, getStderr, getStdin, getStdout, getUses, hashCode, isDAG, isJob, setNodeLabel, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStderr, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdin, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, setStdout, toXML, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses, uses`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DAX

    public DAX(java.lang.String id,
               java.lang.String daxname)

Create a DAX job object

Parameters:
  `id` - The unique id of the DAX job object. Must be of type [A-Za-z][-A-Za-z0-9_]*
  `dagname` - The DAX file to plan and submit

#### DAX

    public DAX(DAX dax)

Copy Constructor

Parameters:
  `dax` -

#### DAX

    public DAX(java.lang.String id,
               java.lang.String daxname,
               java.lang.String label)

Create a DAX job object

Parameters:
  `id` - The unique id of the DAX job object. Must be of type [A-Za-z][-A-Za-z0-9_]*
  `dagname` - The DAX file to plan and submit
  `label` -

### Method Detail

#### isDAX

    public boolean isDAX()

Is this Object a DAX

Overrides:
  `isDAX` in class `AbstractJob`
Returns:

#### toXML

    public void toXML(XMLWriter writer,
                      int indent)

Overrides:
  `toXML` in class `AbstractJob`
Parameters:
  `writer` -
  `indent` -